Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class DataConversionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jdom.JDOMException
                        |
                        +--org.jdom.DataConversionException

public class DataConversionException
extends JDOMException

`DataConversionException` is thrown when a requested XML value is requested to be converted, and conversion fails.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter
See Also:
  Serialized Form

Fields inherited from class org.jdom.JDOMException
`cause`

Constructor Summary
`DataConversionException(String name, String dataType)` This will create an `Exception` indicating that the specified attribute does not exist for the current element.

Methods inherited from class org.jdom.JDOMException
`getCause, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataConversionException

    public DataConversionException(String name,
                                   String dataType)

  This will create an `Exception` indicating that the specified attribute does not exist for the current element.

  Parameters:
    `name` - `String` name of XML attribute being searched for.
    `dataType` - `String` name of data type being converted to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.